Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class UnwrappedOperationInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.OperationInfo
              org.apache.cxf.service.model.UnwrappedOperationInfo

All Implemented Interfaces:
  Extensible

    public class UnwrappedOperationInfo

extends OperationInfo

Constructor Summary
`UnwrappedOperationInfo(OperationInfo op)`

Method Summary
`void` | `addExtensor(java.lang.Object el)`
`FaultInfo` | `addFault(javax.xml.namespace.QName name, javax.xml.namespace.QName message)` Adds an fault to this operation.
`
`<T> T`
` | `getExtensor(java.lang.Class<T> cls)`
`
`<T> java.util.List<T>`
` | `getExtensors(java.lang.Class<T> cls)`
`FaultInfo` | `getFault(javax.xml.namespace.QName name)` Returns the fault with the given name, if found.
`java.util.Collection<FaultInfo>` | `getFaults()` Returns all faults for this operation.
`java.lang.Object` | `getProperty(java.lang.String name)`
`
`<T> T`
` | `getProperty(java.lang.String name, java.lang.Class<T> cls)`
`OperationInfo` | `getWrappedOperation()`
`boolean` | `isUnwrapped()`
`void` | `setProperty(java.lang.String name, java.lang.Object v)`

Methods inherited from class org.apache.cxf.service.model.OperationInfo
`addFault, createMessage, getInput, getInputName, getInterface, getName, getOutput, getOutputName, getParameterOrdering, getUnwrappedOperation, hasFaults, hasInput, hasOutput, isOneWay, isUnwrappedCapable, removeFault, setInput, setName, setOutput, setParameterOrdering, setUnwrappedOperation, toString`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, getExtensionAttribute, getExtensionAttributes, getExtensors, getTraversedExtensor, setExtensionAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnwrappedOperationInfo

    public UnwrappedOperationInfo(OperationInfo op)

Method Detail

### getWrappedOperation

    public OperationInfo getWrappedOperation()

### isUnwrapped

    public boolean isUnwrapped()

  Overrides:
    `isUnwrapped` in class `OperationInfo`

### addFault

    public FaultInfo addFault(javax.xml.namespace.QName name,
                              javax.xml.namespace.QName message)

  Description copied from class: `OperationInfo`
  Adds an fault to this operation.

  Overrides:
    `addFault` in class `OperationInfo`
  Parameters:
    `name` - the fault name.

### getFault

    public FaultInfo getFault(javax.xml.namespace.QName name)

  Description copied from class: `OperationInfo`
  Returns the fault with the given name, if found.

  Overrides:
    `getFault` in class `OperationInfo`
  Parameters:
    `name` - the name.
  Returns:
    the fault; or `null` if not found.

### getFaults

    public java.util.Collection<FaultInfo> getFaults()

  Description copied from class: `OperationInfo`
  Returns all faults for this operation.

  Overrides:
    `getFaults` in class `OperationInfo`
  Returns:
    all faults.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Overrides:
    `getProperty` in class `AbstractPropertiesHolder`

### getProperty

    public <T> T getProperty(java.lang.String name,
                             java.lang.Class<T> cls)

  Overrides:
    `getProperty` in class `AbstractPropertiesHolder`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object v)

  Overrides:
    `setProperty` in class `AbstractPropertiesHolder`

### addExtensor

    public void addExtensor(java.lang.Object el)

  Specified by:
    `addExtensor` in interface `Extensible`
  Overrides:
    `addExtensor` in class `AbstractPropertiesHolder`

### getExtensor

    public <T> T getExtensor(java.lang.Class<T> cls)

  Specified by:
    `getExtensor` in interface `Extensible`
  Overrides:
    `getExtensor` in class `AbstractPropertiesHolder`

### getExtensors

    public <T> java.util.List<T> getExtensors(java.lang.Class<T> cls)

  Specified by:
    `getExtensors` in interface `Extensible`
  Overrides:
    `getExtensors` in class `AbstractPropertiesHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.